// lockscreen
$variant: 'dark';
// $variant: 'light';

@import '../_colors.scss';
@import '../_drawing.scss';
@import '../_common.scss';

$loginitem_size: 192px;

// overrides
body {
	overflow: hidden;
}

.disclaimer {
	display: none;
}

// background
#lockscreenBG {
	position: absolute;
	top: 0;
	height: 100%;
	margin: 0;
	overflow: hidden;
	padding: 0;
	width: 100%;
	background: no-repeat center center fixed;
	background-size:cover;
	background-image: none;
	-moz-transition: background-image 1s ease-in-out;
	transition: background-image 1s ease-in-out;
	z-index: -5;

	&.blurred {
		transform: scale(1.2);
		filter: blur(20px);
	}
}

// login
ul.loginGrid {
	list-style: none;
	position: relative;
	margin: 0;
	padding:0;
	list-style: none;
	width: 100%;
	height: 400px;
	max-width: $loginitem_size * 4 + 24 * 12;
	display: block;
	margin: 0 auto;
	margin-top: 128px;
	z-index: 12;
	text-align: center;

	li {
		height: $loginitem_size;
		width: $loginitem_size;
		background-color: rgba(0,0,0,0.2);
		display: inline-block;
		border-radius: 8px;
		margin: 24px;
		background-clip: padding-box;
		overflow: hidden;
		box-shadow:0 1px 0 1px rgba(0,0,0,0.1), 0 1px 2px 0 rgba(0,0,0,0.2), 0 2px 8px rgba(0,0,0,0.1);

		.loginUserBG {
			border-radius: 8px;
			display: block;
			max-height: $loginitem_size;
			height: $loginitem_size;
			max-width: $loginitem_size;
			width: $loginitem_size;
			top:$loginitem_size * -2;
			background: cover;
			background-size: 100%;
			transform: scale(1.5);
			filter: blur(15px);
			position: relative;
		}

		.loginUserAvatar {
			height: $loginitem_size * 0.5;
			width: $loginitem_size * 0.5;
			background-size: 100%;
			display: block;
			border-radius: 50%;
			margin: 24px auto;
			z-index: 1;
			position: relative;
			box-shadow:inset 0 0 0 1px rgba(0,0,0,0.1), 0 1px 0 0 rgba(255,255,255,0.1);
		}

		.loginUserName {
			z-index: 3;
			display: block;
			position: relative;
			bottom:0;
			height: $loginitem_size;
			line-height: 46px;
			width: 100%;
			background-color: rgba(0,0,0,0.2);
		}
	}

}


// lockScreenAuthMethods
#lockScreenAuthMethods {
	margin:0;
	padding:0;
	li {
		display: inline-block;
		margin:6px;
	}
}

// media player
#lockScreenMediaPlayer {

	#lockScreenMediaPlayerControls {
		width: 100%;
		display: block;
		max-height: 80px;

		img {
			display: inline-block;
			margin: 5px;
			width: 64px;
			border-radius:3px;
		}

		// hardcode these in place
		.media-title {
			margin:0 6px;
			position: relative;
			top: -72px;
			width: auto;
			left: 80px;
		}

		.media-artist {
			margin:6px;
			position: relative;
			top: -72px;
			left: 80px;
			max-width: 200px;
			white-space: nowrap;
			overflow: hidden;
			text-overflow: ellipsis;
		}

		.media-control {
			display: inline-block;
			height: 100%;
			background-color: red;
			.icon {
				margin:0;
			}
		}
	}

	.linked {
		margin: 2px 0;
		width: 100%;
		display: block;
		.left,
		.right {
			width: calc(30% - 12px);
		}
		.middle {
			width: calc(40% - 12px);
		}
	}
}

//notifications
#lockScreenNotifications {
	width: 100%;
	text-align: center;
	position: absolute;
	bottom: 0;
	ul {
		text-align: center;
		width: 100%;
		margin: 0 auto;
		padding: 0;
		display: inline-block;

		li {

			* { color: $fg_color; }

			text-align: left;
			display: block;
			border: 1px solid transparentize($borders_color, 0.8);
			background-color: transparentize($bg_color, 0.5);
			border-radius: 6px;
			min-width: 256px;
			width: 25%;
			min-height: 32px;
			line-height: 32px;
			padding: 8px;
			margin: 6px auto;

			> .icon {
				margin: 8px 0;
			}

			.s32 {
				margin:0;
				margin-right: 12px;
			}

			> .notification-count {
				max-width: 32px;
				width: 32px;
				text-align: center;
				font-weight: bold;
				font-family: monospace;
				font-size: 14px;
				color: $bg_color;
				margin: 6px;
				line-height: 16px;
				padding: 2px 0;
				border-radius: 12px;
				background-color: transparentize($fg_color, 0.6);
			}
		}
	}
}

// lockscreen
#lockScreen {
	position: relative;
	width: 100%;
	height: 400px;
	display: block;
	margin: 0 auto;
	top: 25%;
	// background: red; //debug
	text-align: center;


	.avatar {
		display: block;
		margin: 0 auto;
	}

	.time {
		display: block;
		color:white;
		font-family:"cantarell_light", sans-serif;
		font-weight: 200;
		font-size: 64pt;
		margin: 12px auto;
	}

	.date {
		display: block;
		color:white;
		font-family:"cantarell", sans-serif;
		font-weight: 200;
		font-size: 18pt;
		margin: 12px auto;
	}

	.username {
		display: block;
		color:white;
		font-family:"cantarell", sans-serif;
		font-weight: 200;
		font-size: 18pt;
		margin: 18px auto;
		margin-top: 80px;
	}

	h3 {
		display: block;
		color:white;
		font-family:"cantarell", sans-serif;
		font-weight: 200;
		font-size: 18pt;
		margin: 18px auto;
	}

	input {
	}
}

// buttons 
#lockScreenButtons {
	list-style: none;
	padding:0;
	margin:12px auto;
	li {
		display: inline-block;
		>.button.large {
			display: inline-block;
			margin: 12px;
			padding: 24px 48px;
			.s32 {
				margin-left: -6px;
				margin-top: -6px;
			}
		}
	}
}


// killSwitchIndicatorMic
@-webkit-keyframes slideKS {
	0% { transform: translateY(0); }
	100% { transform: translateY(-8px); }
}
@keyframes slideKS {
	0% { transform: translateY(0); }
	100% { transform: translateY(-8px); }
}


#killSwitchIndicatorMic {
	-webkit-animation: slideKS 0.8s infinite  alternate;
	animation: slideKS 0.8s infinite  alternate;
	display: none;
	position: absolute;
	left: 0;
	top: 20%;
	max-width: 64px;
	padding: 12px;
	box-shadow: inset 4px 0 0 0 $fg_color;
	span {
		width: 100%;
		display: block;
	}
}

@media only screen and (max-width:440px) {
	#killSwitchIndicatorMic {
		display: block;
	}
}


// bubbles
$bubble_size: 36px;

#lockScreenBubbles {
	display: inline-block;
	float: right;
	position: absolute;
	right: 16px;
	bottom: 16px;
	z-index: 9;
}

ul.bubbles {
	list-style: none;
	padding:0; 
	margin:0;
}

.bubble {
	display: inline-block !important;
	background-color: transparentize($bg_color, 0.7);
	border-radius: 50%;
	height: $bubble_size;
	width: $bubble_size;
	margin: 6px;

	.icon {
		display: block;
		vertical-align: bottom;
		margin: $bubble_size * 0.25;
	}

	svg {
		path,g {fill:$fg_color;}
	}

	&:hover {
		background-color: transparentize($bg_color, 0.1);
	}
	&.large {
		height: $bubble_size * 1.5;
		width: $bubble_size * 1.5;

		> .icon {
			margin-left: $bubble_size  * 1.5 * 0.5 - 8px;
			margin-top: $bubble_size  * 1.5 * 0.5 - 8px;
		}
	}
}

@media only screen and (max-width:600px) {
	#lockScreen {
		top: 10%;
		.username {
			margin-top: 32px;
		}
	}

	//notifications
	#lockScreenNotifications {
		width: calc(100% - 32px);
		margin: 0;
		padding: 0;
		display: inline-block;
		float: right;
		li {
			width: calc(100% - 16px - 12px);
		}
	}

	.bubble.large {
		display: none !important;
	}


	.media-artist {
		max-width: calc(100% - 96px) !important;
	}
}




@media only screen and (max-height:710px) {
	#lockScreenNotifications {
		li {
			&:nth-child(4){
				display: none;
			}
		}
	}
}